libebook::TCRParser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::TCRParser Class Reference

`#include <TCRParser.h>`

## Public Member Functions
| TCRParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document=nullptr)
bool | parse ()

## Private Member Functions
| TCRParser (const TCRParser &other)
TCRParser & | operator= (const TCRParser &other)
void | readReplacementTable ()
std::shared_ptr< librevenge::RVNGInputStream > | uncompress ()
void | writeText (const std::shared_ptr< librevenge::RVNGInputStream > &input)

## Private Attributes
librevenge::RVNGInputStream *const | m_input
librevenge::RVNGTextInterface *const | m_document
std::string | m_replacementTable [256]

## Constructor & Destructor Documentation

## ◆ TCRParser() [1/2]

libebook::TCRParser::TCRParser | ( | const TCRParser & | other | ) |
| private

Referenced by operator=(), and TCRParser().

## ◆ TCRParser() [2/2]

libebook::TCRParser::TCRParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document = nullptr )

## Member Function Documentation

## ◆ operator=()

TCRParser & libebook::TCRParser::operator= | ( | const TCRParser & | other | ) |
| private

## ◆ parse()

bool libebook::TCRParser::parse | ( |  | ) |

## ◆ readReplacementTable()

void libebook::TCRParser::readReplacementTable | ( |  | ) |
| private

Referenced by parse().

## ◆ uncompress()

shared_ptr< librevenge::RVNGInputStream > libebook::TCRParser::uncompress | ( |  | ) |
| private

Referenced by parse().

## ◆ writeText()

void libebook::TCRParser::writeText | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input | ) |
| private

Referenced by parse().

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* const libebook::TCRParser::m_document
| private

Referenced by parse(), TCRParser(), and writeText().

## ◆ m_input

librevenge::RVNGInputStream* const libebook::TCRParser::m_input
| private

Referenced by readReplacementTable(), TCRParser(), and uncompress().

## ◆ m_replacementTable

std::string libebook::TCRParser::m_replacementTable[256]
| private

Referenced by readReplacementTable(), and uncompress().

The documentation for this class was generated from the following files:

- TCRParser.h
- TCRParser.cpp